import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _MTRCommodityPriceClusterCommodityPriceStruct } from "./MTRCommodityPriceClusterCommodityPriceStruct.js";
export declare class _MTRCommodityPriceClusterPriceChangeEvent extends _NSObject {
    static alloc(): _MTRCommodityPriceClusterPriceChangeEvent;
    static new(): _MTRCommodityPriceClusterPriceChangeEvent;
    init(): _MTRCommodityPriceClusterPriceChangeEvent;
    currentPrice(): _MTRCommodityPriceClusterCommodityPriceStruct | null;
    setCurrentPrice$(value: _MTRCommodityPriceClusterCommodityPriceStruct | null): void;
}
export interface _MTRCommodityPriceClusterPriceChangeEvent extends _NSCopying {
}
